
Foreman - Bug #1143

Searching for hosts with parameters is broken.

09/02/2011 01:47 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Search   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

How to reproduce:

1> Create 2 hosts

2> Add a parameter to ONE of the above hosts: "Param-name = param1 and Param-value = val1"

3> Search on the web interface for: "params.param1 ~ val1"

4> Expected results: One host should be returned.

5> Actual results: Hosts not having this parameter are returned.

Associated revisions

Revision 7c9f112e - 11/15/2012 08:18 AM - Amos Benari

fixes #1143 Searching for hosts with parameters is broken.

History

#1 - 09/02/2011 01:49 PM - Bash Shell

Note that searching with "=" instead of "~" works  fine:

"params.param1 = val1"

#2 - 09/04/2011 04:48 AM - Ohad Levy

- Assignee set to Amos Benari

#3 - 10/18/2011 12:52 AM - Bash Shell

Looks like in the latest develop, searching for anything returns results:

Like:

"params.noexist = noexist"

returns all hosts.

#4 - 01/29/2012 07:24 AM - Ohad Levy

@amos bump?

#5 - 11/13/2012 12:07 PM - Greg Sutcliffe

- Target version set to Bug scrub

#6 - 11/15/2012 08:26 AM - Ohad Levy

- Category set to Search

#7 - 11/15/2012 08:29 AM - Amos Benari

- Status changed from New to Resolved
#8 - 11/15/2012 09:49 AM - Ohad Levy

- Status changed from Resolved to Closed
